// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package game

import (
	"juwan-backend/common/utils/responses"
	"net/http"

	"juwan-backend/app/game/api/internal/logic/game"
	"juwan-backend/app/game/api/internal/svc"
	"juwan-backend/app/game/api/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// 获取游戏详情
func GetGameHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetGameReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := game.NewGetGameLogic(r.Context(), svcCtx)
		resp, err := l.GetGame(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, responses.NewErrorResp(400, err))
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
